Skip to main content
POST
/
v1
/
tax
/
payee
Create Tax Payee
curl --request POST \
  --url https://api.cadanapay.com/v1/tax/payee \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "address": {
    "line1": "123 Main Street",
    "line2": "Apt 4",
    "city": "Mexico City",
    "postalCode": "01000",
    "state": "DUR",
    "countryCode": "MX"
  },
  "salary": {
    "amount": 1000000,
    "currency": "MXN"
  },
  "firstName": "John",
  "lastName": "Doe",
  "taxProfile": {
    "maritalStatus": "married",
    "numberOfDependents": 2,
    "riskCategory": "I"
  }
}
'
{
  "id": "b86c50a3-f643-45bf-9099-8c75f33257c4"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
address
object
required
salary
object
required
firstName
string
lastName
string
taxProfile
object

Response

TaxPayee successfully created

id
string<uuid>